Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Class PicoVerificationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.picocontainer.PicoVerificationException

All Implemented Interfaces:
  Serializable

    public class PicoVerificationException

extends PicoException

Subclass of `PicoException` that is thrown when a `PicoContainer` hierarchy cannot be verified. A failing verification is caused by ambuigities or missing dependencies between the registered components and their parameters. This exception is designed as a collector for all Exceptions occurring at the verification of the complete container hierarchy. The verification is normally done with the `VerifyingVisitor`, that will throw this exception.

See Also:
  Serialized Form

Constructor Summary
`PicoVerificationException(List<? extends Throwable> nestedExceptions)` Construct a new exception with a list of exceptions that caused this one.

Method Summary
`String` | `getMessage()` Return a string listing of all the messages associated with the exceptions that caused this one.
`List<Throwable>` | `getNestedExceptions()` Retrieve the list of exceptions that caused this one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PicoVerificationException

    public PicoVerificationException(List<? extends Throwable> nestedExceptions)

  Construct a new exception with a list of exceptions that caused this one.

  Parameters:
    `nestedExceptions` - the exceptions that caused this one.

Method Detail

### getNestedExceptions

    public List<Throwable> getNestedExceptions()

  Retrieve the list of exceptions that caused this one.

  Returns:
    the list of exceptions that caused this one.

### getMessage

    public String getMessage()

  Return a string listing of all the messages associated with the exceptions that caused this one.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    a string listing of all the messages associated with the exceptions that caused this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.